### Class

# RB StringValueMap

#### Description [src]

    class RB.StringValueMap : GObject.Object
    {
      RBStringValueMapPrivate* priv
    }

Simplifies the use of string:GValue maps with respect to copying of the values inserted into the map. Except for rb_string_value_map_peek, the caller retains ownership of values passed in, and assumes ownership of all values returned.

#### Ancestors

- GObject

#### Constructors

###### rb_string_value_map_new

Creates a new `RBStringValueMap`.

#### Instance methods

###### rb_string_value_map_get

Locates and copies the value associated with the key.

###### rb_string_value_map_peek

Locates the value associated with the key. This returns the GValue stored in the map, so it cannot be modified.

###### rb_string_value_map_remove

Removes a value from the map.

###### rb_string_value_map_set

Inserts a value into the map. The value is copied.

###### rb_string_value_map_size

Returns the number of entries in the map.

###### rb_string_value_map_steal_hashtable

Extracts and returns the underlying hash table from the map, and creates a new empty map.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBStringValueMapClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.